Subject: Re: viewing SDfiles

From: "Charlton, Michael" <[email-masked]>
Date: Wed, 10 Jan 2001 15:31:59 -0000

Many thanks for all the replies (below) I received.
I feel I ought to clarify what I want here.
I can view structures in SDfiles already, using typical modelling packages
(MOE, Cerius etc.), but I am after a program that will allow lots of
chemists to browse them (hence the requirement for cheapness).  The idea is
to be able to flick up and down, one at a time, or perhaps several
structures tiled on a page at a time.  The pssmiles utility that comes with
with ClogP does this kind of thing, except postscript output is not very
convenient.
A common proposed solution is MSI's weblab viewer.  However, whenever I open
an SDfile, I get all the structures overlaid on one another - 3000
structures looks like a pile of spaghetti!!  I have yet to find a use for
this - has anyone else ? ;-)
The program I dream of could be stand-alone (for distribution around company
PCs) or web-based (my intranet pages are on an SGI, so the clever bits would
need to be on that).  My preference would be for 2D Isis Draw/ ChemDraw
style output rather than 3D, since most of the structures are only 2D.
My (sadly lacking) web skills could probably patch in a "smiles-to-gif"
utility to do what I want, if such a thing existed.  Whilst I have been
composing this, a message from Marc Nicklaus just came in, and this could be
what I am after for the gif generation.

Thanks again,

Michael Charlton.
Replies :
Michael,

On Wed, 10 Jan 2001, Charlton, Michael wrote:

> does anyone know of a free/cheap tool for looking at MDL SDfiles ?  It
would
> be good to be able to be able to rapidly examine the structures.
> A web-based system would be ideal.
> Alternatively, are there tools for turning a structure into a gif format ?
> (It would bve good if it would run on an SGI machine.)

If 2D GIF drawings are what you want, try our web-based tool
http://cactus.nci.nih.gov/services/gifcreator/. 
Maybe that's what you're looking for.  Please let us how it 
works out for you.

Marc

------------------------------------------------------------------------
 Marc C. Nicklaus                        National Institutes of Health
 E-mail: [email-masked]               Bldg 376, Rm 207
 Phone:  (301) 846-5903                  376 Boyles Street
 Fax:    (301) 846-6033                  FREDERICK, MD 21702       USA
      http://rex.nci.nih.gov/RESEARCH/basic/medchem/mcnbio.htm
  Laboratory of Medicinal Chemistry, National Cancer Institute, FCRDC
------------------------------------------------------------------------

> Hi,
> does anyone know of a free/cheap tool for looking at MDL SDfiles ?  It
would
> be good to be able to be able to rapidly examine the structures.
> A web-based system would be ideal.
> Alternatively, are there tools for turning a structure into a gif format ?
> (It would bve good if it would run on an SGI machine.)
> 
> Thanks in advance,
> 
> Michael Charlton.
Hi Michael,

You can browse an SD file with Mol2mol 3.5. The current structure can be
transformed into
several other formats, or copied to the clipboard as bmp image. It has no
bmp-to-gif module,
but there are a great number of image converters out there to convert it
into 
gif in a second.

Mol2mol is not free, anyway, not very expensive. Look at
http://www.compuchem.com/mol2mol.htm

Tamas

Dr Tamas E. Gunda
Research Group for Antibiotics of the Hungarian Acad. Sci.
University of Debrecen, POBox 36
H-4010 Debrecen, Hungary
tel.: (+36-52) 512 900/2472
fax: (+36-52) 512 914
e-mail: [email-masked]
home-page: www.klte.hu/~gundat/gunda.htm

Check out JMol at http://www.openscience.org/jmol/

- Jack

-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
 Jack A. Smith             ||
 Union Carbide             || Phone:  (304) 747-5797
 Catalyst Skill Center     || FAX:    (304) 747-4672
 P.O. Box 8361             || 
 S. Charleston, WV  25303  || [email-masked]
-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-

> ----------
> From: 	Charlton, Michael[SMTP:[email-masked]]
> Sent: 	Wednesday, January 10, 2001 5:09 AM
> To: 	[email-masked]'
> Subject: 	CCL:viewing SDfiles
> 
> Hi,
> does anyone know of a free/cheap tool for looking at MDL SDfiles ?  It
> would
> be good to be able to be able to rapidly examine the structures.
> A web-based system would be ideal.
> Alternatively, are there tools for turning a structure into a gif format ?
> (It would bve good if it would run on an SGI machine.)
> 
> Thanks in advance,
> 
> Michael Charlton.
> 
> 
> -= This is automatically added to each message by mailing script =-
> [email-masked] -- To Everybody  | [email-masked] -- To
> Admins
> [email-masked] -- HELP CHEMISTRY or HELP SEARCH
> [email-masked] -- archive search    |    Gopher: gopher.ccl.net
> 70
> Ftp: ftp.ccl.net  |  WWW: http://www.ccl.net/chemistry/   | Jan:
> [email-masked]
> 
> 
> 
> 
> 

Hi Michael,

How about web lab view lite, MSI's freebie, which will read an sd file and
render all the structures; not sure how easy it is to go through them one by
one. Or parse an SD file server-side, strip out all the mol components, save
them separately and construct a web page table that references each, and get
Chime (MDL's plugin, also free) to view each one; you could go through an SD
file in blocks of whatever fits on a page. "All" you have to do is write the
script or scripts to parse etc and build the web pages.

Regards,

Graham

Graham Mullier
Chemistry Design Group & AI Discovery Informatics Project
Syngenta, Jealott's Hill
direct line: +44 (0) 1344 414163
mailto:[email-masked]

-----Original Message-----
From: Charlton, Michael [mailto:[email-masked]]
Sent: 10 January 2001 10:10
To: [email-masked]'
Subject: CCL:viewing SDfiles

Hi,
does anyone know of a free/cheap tool for looking at MDL SDfiles ?  It would
be good to be able to be able to rapidly examine the structures.
A web-based system would be ideal.
Alternatively, are there tools for turning a structure into a gif format ?
(It would bve good if it would run on an SGI machine.)

Thanks in advance,

Michael Charlton.

-= This is automatically added to each message by mailing script =-
[email-masked] -- To Everybody  | [email-masked] -- To Admins
[email-masked] -- HELP CHEMISTRY or HELP SEARCH
[email-masked] -- archive search    |    Gopher: gopher.ccl.net 70
Ftp: ftp.ccl.net  |  WWW: http://www.ccl.net/chemistry/   | Jan: [email-masked]

Michael,

ChemAxon's MarvinView application can display structure files (SDfiles,
Molfiles, SMILES strings and files, etc..). It is free for academic users.

If you go for a web based system consider
- Marvin Applets for drawing and viewing structures (free for free web
sites)
- JChem, a chemical database tool that enables substructure/similarity
searching.

These systems are in Java, so they run under most operating systems,
including
SGI.
Please follow this link if you would like to download some of the above
software: http://www.chemaxon.com/products.html

Regards,
Ferenc

--
Dr. Ferenc Csizmadia
ChemAxon Ltd.
http://www.chemaxon.com
T:+3620 9570988
mailto:[email-masked]

"Charlton, Michael" wrote:

> Hi,
> does anyone know of a free/cheap tool for looking at MDL SDfiles ?  It
would
> be good to be able to be able to rapidly examine the structures.
> A web-based system would be ideal.
> Alternatively, are there tools for turning a structure into a gif format ?
> (It would bve good if it would run on an SGI machine.)
>
> Thanks in advance,
>
> Michael Charlton.
>
> -= This is automatically added to each message by mailing script =-
> [email-masked] -- To Everybody  | [email-masked] -- To
Admins
> [email-masked] -- HELP CHEMISTRY or HELP SEARCH
> [email-masked] -- archive search    |    Gopher: gopher.ccl.net
70
> Ftp: ftp.ccl.net  |  WWW: http://www.ccl.net/chemistry/   | Jan:
[email-masked]

On 10 Jan 01, at 10:09, Charlton, Michael wrote in his immortal words:

> Hi,
> does anyone know of a free/cheap tool for looking at MDL SDfiles ?  It
would
> be good to be able to be able to rapidly examine the structures.
> A web-based system would be ideal.
Not web based: ACD Chemsketch with 3D extension 
look at:
www.acdlabs.com
> Alternatively, are there tools for turning a structure into a gif format ?
> (It would bve good if it would run on an SGI machine.)
On SGI IRIX Systems there are some tools to capture the screen:
snapshot or capture
convert the resulting rgb files into gif with xv or imagemagick.

Wolfgang
> 
> Michael Charlton.
> 
> 
> -= This is automatically added to each message by mailing script =-
> [email-masked] -- To Everybody  | [email-masked] -- To
Admins
> [email-masked] -- HELP CHEMISTRY or HELP SEARCH
> [email-masked] -- archive search    |    Gopher: gopher.ccl.net
70
> Ftp: ftp.ccl.net  |  WWW: http://www.ccl.net/chemistry/   | Jan:
[email-masked]

***********************************************************************
Dr. Wolfgang Utz                                    
Department of Medicinal Chemistry
Emil Fischer Center
Friedrich-Alexander University                 
Schuhstr. 19                                                 
D-91052 Erlangen
Germany                               
Tel. 09131/8524100
Fax  09131/8522585
E-mail:[email-masked]
http://www.medchem.uni-erlangen.de/personel/utz.htm
***********************************************************************

Dear Michael

I believe that MSI's weblab viewer lite (ugly spelling) has MDL .sd files
has one of its input formats. This will also save a GIF of JPG file for
your website. Its free but for a PC not an SGI.

Hope this helps.

Mark

Charlton, Michael wrote:

> Hi,
> does anyone know of a free/cheap tool for looking at MDL SDfiles ?  It
would
> be good to be able to be able to rapidly examine the structures.
> A web-based system would be ideal.
> Alternatively, are there tools for turning a structure into a gif format ?
> (It would bve good if it would run on an SGI machine.)
>
> Thanks in advance,
>
> Michael Charlton.
>
> -= This is automatically added to each message by mailing script =-
> [email-masked] -- To Everybody  | [email-masked] -- To
Admins
> [email-masked] -- HELP CHEMISTRY or HELP SEARCH
> [email-masked] -- archive search    |    Gopher: gopher.ccl.net
70
> Ftp: ftp.ccl.net  |  WWW: http://www.ccl.net/chemistry/   | Jan:
[email-masked]

--

  Dr Mark J Forster Ph.D.
  Principal Scientist
  Informatics Laboratory
  National Institute for Biological Standards and Control
  Blanche Lane, South Mimms,
  Hertfordshire EN6 3QG, United Kingdom.

  Tel  +44 (0)1707 654753
  FAX  +44 (0)1707 646730
  E-mail  [email-masked]

JChemPaint (http://jchempaint.sourceforge.net/) can read SDF files and
also export GIF pictures. There is also an applet version available for
integration with web pages.

The program is OpenSource. Bugs and requests can be posted on the website
at SourceForge: http://sourceforge.net/projects/jchempaint

Please report any problems with the software so we can correct it. (Though
i do not expect problems, considering your demands...)

greetings,

Egon Willighagen

Plus a 'phone call from Peter Bladon :
http://www.interprobe.co.uk/inter/interprobe.html